Bug 739918 - rhui-tools.conf points to "atlantis" in default config
Summary: rhui-tools.conf points to "atlantis" in default config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Tools
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 12:47 UTC by Todd Sanders
Modified: 2017-03-01 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 22:06:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0367 normal SHIPPED_LIVE Red Hat Update Infrastructure 3.0 Release 2017-03-02 03:05:22 UTC

Description Todd Sanders 2011-09-20 12:47:08 UTC
Description of problem:

The rhui-tools.conf default points to:

[rhua]
hostname: atlantis

We should change this to "localhost" in the default config; or remove altogether, and warn user if not set and not using --server option.

-Todd

Comment 1 Jay Dobies 2011-09-20 12:54:14 UTC
Would make more sense to remove all together. Putting just "localhost" won't pass SSL verification, so it's as arbitrary as "atlantis" in this case.

Comment 2 Jay Dobies 2011-09-20 17:07:08 UTC
commit a74f261223607b9eea3eae2c2b561d15945a9001
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Tue Sep 20 13:06:46 2011 -0400

    739918 - Changed default to localhost

rhui-2.0/tools/etc/rhui/rhui-tools.conf

Comment 3 Kedar Bidarkar 2011-10-19 07:17:16 UTC
[rhua]
hostname: localhost



[root@dhcp201-133 ~]# rpm -qav | grep -ie rhui -ie pulp
pulp-client-0.0.214-3.el6.noarch
rh-rhui-tools-2.0.44-1.el6.noarch
pulp-common-0.0.214-3.el6.noarch
pulp-0.0.214-3.el6.noarch

Comment 7 errata-xmlrpc 2017-03-01 22:06:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0367


Note You need to log in before you can comment on or make changes to this bug.